@charset "UTF-8";

:root {
    --clr-bg-primary: var(--clr-bg-100);
    --clr-bg-secondary: var(--clr-bg-300);
    --clr-border: var(--clr-bg-500);

    --clr-search-bar: rgba(255, 255, 255, 0.48);

    --padding-side-1: 1rem;
    --padding-side-2: 1.2rem;
    --padding-side-3: 1.5rem;
}

/* BASE STYLES */
html {
    font-size: 16px;
}
body {
    font-family: 'Source Sans 3', sans-serif;
    background-color: var(--clr-bg-secondary);
    min-height: 100vh;
    overflow-x: hidden;
}

img {
    height: auto;
}

.padding-inline { padding-inline: var(--padding-side-1); }


.container-maxsize {
    max-width: 1280px;
    margin-inline: auto;
}

.section-title {
    margin-block-end: 0.2rem;
    font-weight: 400;
    font-size: 1.5rem;
    letter-spacing: .5px;
    color: var(--clr-font-500);

    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.search_query {
    font-weight: 400;
}

/* Card post */
.article-card {
    margin-bottom: 2.5rem;
    position: relative;
}

.article-card__banner {
    padding-bottom: 0.625rem;
}
.article-card__banner img {
    display: block;
    width: 100%;
    aspect-ratio: 101 / 57;
    object-fit: cover;
    border-radius: 8px;
}

.article-card__texto .article-titulo:hover,
.article-card__banner:hover ~ .article-card__texto .article-titulo {
    color: var(--clr-accent-2);
}

.article-card__texto {
    position: relative;
}

.article-card__texto h3 {
    transition: color 0.125s ease-in;

    & .article-titulo::before {
        content: '';
        position: absolute;
        inset: 0;
        z-index: 1;
    }
}

.article-card__texto {
    padding-right: 1.5rem;
    padding-right: 1rem;
}

.article-titulo {
    font-weight: 400;
    font-size: 1.05rem;
    line-height: 1.3rem;
    color: var(--clr-font-600);
    transition: color 0.125s ease-in;
}

.article-card__texto p {
    color: var(--clr-font-300);
    font-size: clamp(13px, 0.3rem + 1vw, 16px);
    text-align: justify;
    padding-top: 8px;
    line-height: 1.5rem;

    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 4; 
    line-clamp: 4;
    text-overflow: ellipsis; 
    overflow: hidden;
}

.article-card__profile {
    display: flex;
    gap: 10px;
    margin-top: 0.9rem;
}

.profile-foto {
    width: 2.75rem;
    aspect-ratio: 1 / 1;
    object-fit: cover;
    border-radius: 100%;
}

.article-card__info, .destaques-card__info {
    font-size: 0.8rem;
    color: var(--clr-font-300);
}

.autor-nome {
    color: var(--clr-font-500);
    margin-bottom: 6px;
}

.info-categoria {
    color: var(--clr-font-300);
    background-color: var(--clr-bg-400);
    border-radius: 20px;
    padding: 0.1rem 1rem;
    text-decoration: none;
}

.article-date { 
    display: grid;
    position: absolute;
    top: 0.5rem;
    right: 0.6rem;
    align-items: center;

    width: 56px;
    height: 65px;
    background-color: var(--clr-bg-200);
    font-size: 13px;
    color: var(--clr-font-500);
    line-height: 18px;
    text-align: center;
    pointer-events: none;
    transform: scale(0.89);

    clip-path: polygon(50% 0%, 100% 25%, 100% 75%, 50% 100%, 0% 75%, 0% 25%);
}


.ver-todos-article {
    padding: 1.5rem 0 2rem 0;
    display: flex;
    justify-content: center;
}
.ver-todos-article a {
    text-decoration: none;
    color: var(--clr-font-600);
    font-weight: 400;
    font-size: 1rem;
    
    text-decoration: underline;
    text-underline-offset: 5px;
    transition: transform .25s ease-out;
}

.ver-todos-article a i {
    font-size: 0.8rem;
    padding-right: 0.4rem;
    padding-left: 0.2rem;
    transition: transform .25s ease-out;
}

.ver-todos-article a:hover,
.ver-todos-article a:hover i {
    transform: translate(2px, 0px);
    color: var(--clr-font-300);
}

.pagination-wrapper {
    margin-block-start: 3.5rem;
    margin-block-end: 1.5rem;
    margin-inline: 0;
    text-align: center;
}

.pagination-wrapper:has(.no-pagination--text) {
    margin-block-start: 1.5rem;
    margin-block-end: 0.5rem;
}

.no-pagination--text {
    color: var(--clr-font-300);
    font-size: 0.85rem;
}

.pagination-wrapper .nav-links {
    display: inline-flex;
    gap: 0.75rem;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

.pagination-wrapper .page-numbers {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    height: 2rem;
    min-width: 1.5rem;
    padding-block: 0;
    padding-inline: 1rem;
    
    font-size: clamp(0.8125rem, 0.5rem + 1.25vw, 0.875rem);
    color: var(--clr-font-600);
    font-weight: 600;
    text-decoration: none;
    border-radius: 6px;
    transition: all 0.3s ease;
}

.pagination-wrapper .page-numbers:hover:not(.current):not(.dots) {
    color: var(--clr-accent-1);
}

.pagination-wrapper .page-numbers.prev{
    padding-inline: 0 0.8rem;
}

.pagination-wrapper .page-numbers.next {
    padding-inline: 0.8rem 0;
}

.pagination-wrapper .page-numbers.current {
    background-color: var(--clr-bg-400);
    color: var(--clr-accent-1);
    cursor: default;
}

.pagination-wrapper .page-numbers.disabled {
    pointer-events: none;
    opacity: 0.5;
    cursor: default;
    color: #AAAAAA;
}


/* blog-articles */
.articles {
    padding-block: 2rem;
    min-height: 22rem;
    background-color: var(--clr-bg-secondary);
}

.grid-articles {
    display: grid;
    grid-template-columns: 1fr;
    padding: 30px 0 10px 0;
    border-bottom: 1px solid var(--clr-border);
}

@media (min-width: 748px) and (max-width: 1023.02px) {
    .grid-articles {
        grid-template-columns: repeat(2, 1fr);
        gap: 1rem;
        padding-block: 30px;
    }
}

@media (min-width: 1024px) {
    .articles {
        padding-block: 2.5rem 2rem;
        background-color: var(--clr-bg-secondary);
    }

    .grid-articles {
        grid-template-columns: repeat(3, 1fr);
        gap: 2rem 1rem;
        padding-block: 30px;
    }
}

/* HEADER - Hero */
.hero-section {
    background-color: var(--clr-bg-primary);
    display: grid;
    grid-template-areas: 'stack';
    align-items: end;
}
.hero-section > * {
    grid-area: stack;
}

.hero-background img {
    width: 100%;
    display: block;
    min-height: 320px;
    max-height: 550px;
    object-fit: cover;
}

.destaque {
    font-weight: 700;
    letter-spacing: 1.5px;
    text-shadow: 0 3px 6px rgba(57, 61, 61, 0.48);
}

.hero-title {
    width: 100%;
}
.hero-title h1 {
    color: var(--clr-font-100);
    font-size: 3.5rem;
    font-weight: 300;
}

.hero-title button { 
    display: inline-flex;
    color: var(--clr-font-100);
    align-items: center;
    font-size: 1rem;
    gap: 8px;
    margin-bottom: 20px;
    background: transparent;
    border: none;
    cursor: pointer;
}

.category-dropdown-wrapper {
    position: relative;
    display: inline-block;
}

.category-dropdown__btn {
    display: inline-flex;
    color: var(--clr-font-100);
    align-items: center;
    font-size: 1rem;
    gap: 8px;
    margin-bottom: 20px;
    background: transparent;
    border: none;
    cursor: pointer;
    user-select: none;
}

.category-dropdown__icon {
    pointer-events: none;
    transition: transform 0.25s ease;
} 

.category-dropdown__btn[aria-expanded="true"] .category-dropdown__icon {
    transform: rotate(-180deg);
}

.category-dropdown__list {
    position: absolute;
    top: 1.75rem;
    left: 0;
    width: 200px;
    margin: 5px 0 0 0;
    padding-block: 0.5rem;
    padding-inline: 1rem;

    visibility: hidden;
    opacity: 0;
    transform: scale(0.97) translateY(-5px);
    transition: 0.1s ease-in-out;
    
    background-color: #ffffff;
    z-index: 500; 
    border-radius: 6px;
    box-shadow: 0px 6px 8px 0px rgba(0,0,0,0.12); 
}

.category-dropdown__list.active {
    visibility: visible;
    opacity: 1;
    transform: scale(1) translateY(5px);
}

.category-dropdown__list li {
    border-bottom: 1px solid #f5f5f5;
}

.category-dropdown__list li a {
    display: block;
    padding-block: 0.75rem;
    padding-inline-start: 0.5rem;
    color: var(--clr-font-600);
    text-decoration: none;
    transition: color 0.2s;
}

.category-dropdown__list li:last-child {
    border-bottom: none;
}

.category-dropdown__list li a:hover {
    color: var(--clr-font-300);
}

.hero-search-form {
    display: flex;
    max-width: 650px;
    background-color: var(--clr-search-bar);
    justify-content: space-around;
    align-items: center;
    justify-items: center;
    margin-bottom: 20px;
    border-radius: 30px;
    border: 1px solid white;
}

.hero-search-form .search-text {
    position: relative;
    width: 80%;
    height: 50px;
    border: none;
    background: none;
    outline: none;
    float: left;
    font-size: 1.1rem;
    color: var(--clr-font-100);
    font-weight: 300;
    line-height: 40px;
}

.hero-search-form .search-btn {
    font-size: 20px;
    color: var(--clr-font-100);
    margin-left: 10px;
    align-items: center;
    justify-items: center;
}

.nav-sec {
    display: none;
    background-color: var(--clr-bg-800);
}
.nav-sec-links {
    --f-weight: 400;

    height: 48px;
    display: flex;
    gap: 1.5rem;
    color: var(--clr-font-100);
    list-style: none;
    align-items: center;

    overflow-x: auto;
    scrollbar-width: none;
    /* IE and Edge */
    -ms-overflow-style: none;

    &::-webkit-scrollbar {
        display: none;
    }
}

.nav-sec-links__item {
    display: inline-flex;
    flex-direction: column;
    align-items: center;
    padding-right: 15px;

    color: var(--clr-font-100);
    font-size: 0.95rem;
    font-weight: 300;
    line-height: 2rem;
    text-wrap: nowrap;
    letter-spacing: 0.5px;
    text-decoration: none;

    &:hover {
        font-weight: var(--f-weight);
    }
}
/* Avoid layout shift when font changes to bold */
.nav-sec-links__item::after {
    content: attr(data-text) / "";
    height: 0;
    visibility: hidden;
    overflow: hidden;
    user-select: none;
    pointer-events: none;
    font-weight: var(--f-weight);

    @media speech {
        display: none;
    }
}

.nav-sec--active,
.nav-sec-links [data-current-category="true"] {
    font-weight: 700;
    color: var(--clr-accent-1);
}

/* MAIN - DESTAQUES */
main {
    background-color: var(--clr-bg-primary);
}

.destaques {
    padding-block: 2rem;
}

.swiper-slide {
    padding: 20px 5px 40px 0;
}

.destaques-card {
    padding-bottom: 2.5rem;
    position: relative;
}
.destaques-card__banner {
    position: relative;
    padding-bottom: 10px;
}
.destaques-card__banner img {
    width: 100%;
    display: block;
    max-height: 20rem;
    object-fit: cover;
    border-radius: 8px;
}
.destaques-card__texto {
    padding-right: 1.5rem;
}
.destaques-card__texto p {
    color: var(--clr-font-300);
    font-size: 0.9rem;
    text-align: justify;
    padding-top: 5px;
    line-height: 1.5rem;
}
.destaques-card__profile {
    display: flex;
    gap: 10px;
    padding-top: 1rem;
}
.destaques-article-titulo {
    font-weight: 700;
    font-size: 1.05rem;
    line-height: 1.3rem;
    color: var(--clr-font-600);
}

.swiper-pagination {
    --swiper-pagination-color: var(--clr-accent-2);
    --swiper-pagination-bullet-size: 13px;
}

/* MAIN - ULTIMAS PUBLICACOES */
.publicacoes {
    padding-block: 2rem;
    background-color: var(--clr-bg-secondary);
}

.grid-publicacoes {
    display: grid;
    grid-template-columns: 1fr;
    padding: 30px 0 10px 0;
    border-bottom: 1px solid var(--clr-border);
}

/* MAIN - TUTORIAIS */
.tutoriais {
    padding-block: 2rem;
    background-color: var(--clr-bg-primary);
}

.grid-tutoriais {
    display: grid;
    grid-template-columns: 1fr;
    padding: 30px 0 10px 0;
    border-bottom: 1px solid var(--clr-border);
}

.banner-video {
    display: block;
    position: relative;
}

.banner-video::before {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    border-radius: 8px;
    opacity: 0.48;
    transition: opacity .25s ease-out;
}
.banner-video:hover::before {
    opacity: 0.2;
}
.banner-video.banner-video--blue::before {
    background-color: var(--clr-accent-1);
}
.banner-video.banner-video--orange::before {
    background-color: var(--clr-accent-2);
}

.banner-video::after {
    content: "";
    position: absolute;
    height: 7em;
    width: 7em;
    border-radius: 8px;
    top: calc(50% - 3.5em );
    left: calc(50% - 3.5em );
    background: no-repeat url(../img/buttons/play-button-m.png);
    background-size: 7em;
    transition: transform .25s;
}
.banner-video:hover::after {
    transform: scale(1.05);
}

/* MAIN - MATERIAIS */
.category-highlight {
    padding-block: 2.5rem;
    background-color: var(--clr-bg-100);
    background: linear-gradient(
        to bottom,
        #fff,
        #fff 50%,
        #fff 75%,
        var(--clr-bg-secondary) 100%
    );
}

.category-highlight__grid .article-card {
    position: relative;
}

.category-highlight__grid .article-card__texto {
    position: static;
}

.category-highlight__grid .article-titulo::before {
    content: '';
    position: absolute;
    inset: 0;
    z-index: 1;
}

.category-highlight__title {
    color: var(--clr-accent-1);
    font-size: 2rem;
}

.category-highlight__grid {
    display: grid;
    grid-template-columns: 1fr;
    padding: 30px 0 10px 0;
    border-bottom: 1px solid var(--clr-border);
}

.category-highlight__article-acessar {
    padding-top: 1rem;
    display: flex;
}
.category-highlight__article-acessar span {
    text-decoration: none;
    color: var(--clr-accent-1);
    font-weight: 400;
    font-size: 0.95rem;

    text-decoration: underline;
    text-underline-offset: 5px;
    transition: transform .25s ease-out;
}

.category-highlight__article-acessar span i {
    padding-left: .5rem;
    font-size: 0.825rem;
    transition: transform .25s ease-out;
}

.category-highlight__grid .article-card:focus-within span,
.category-highlight__grid .article-card:focus-within i,
.category-highlight__grid .article-card:hover span,
.category-highlight__grid .article-card:hover i {
    transform: translate(1px, 0px);
    color: var(--clr-accent-2);
}


/* @ TELAS PEQUENAS - DISPOSITIVOS ANTIGOS */
@media (max-width: 362px) {
    .article-card__banner {
        font-size: 0.875rem;
    }
}

@media (min-width: 748px) and (max-width: 1023.02px) {
    html { font-size: 16px; }

    .padding-inline { padding-inline: var(--padding-side-2); }

    .category-dropdown-wrapper { display: none; }
    .nav-sec { display: block; }

    .hero-title {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .hero-title>h1 {
        padding-bottom: 15px;
    }

    .hero-search-form {
        margin-top: 15px;
        width: 350px;
    }

    .destaques-card {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-areas: 
         "banner texto"
         "banner profile";
        
        padding-top: 16px;
        margin-left: 1.5rem;
    }

    .destaques-card__banner {
        grid-area: banner;
        margin-inline: 0rem 1.5rem;
    }
    .destaques-card__texto {
        grid-area: texto;
    }
    .destaques-article-titulo {
        font-size: 1.3rem;
        font-size: clamp(1.3rem, calc(0.5rem + 1.5vw), 1.8rem);
        line-height: 1.5;
    }

    .destaques-card__texto p {
        font-size: 1rem;
        font-size: clamp(1rem, calc(0.1rem + 1.5vw), 1.5rem);
        line-height: 1.5;
        margin-top: 1.1rem;
        margin-top: clamp(0.1rem, calc(-2.2rem + 5vw), 1.2rem);

        overflow: hidden;
        text-overflow: ellipsis; 
        display: -webkit-box;
        -webkit-line-clamp: 2; 
        -webkit-box-orient: vertical;
        line-clamp: 2;
    }
    .destaques-card__profile {
        grid-area: profile;
    }

    .article-card {
        display: grid;
        grid-template-rows: auto 1fr 40px;
        grid-template-rows: auto 1fr auto;
        margin-bottom: 25px;
    }

    .article-titulo {
        font-size: 1rem;
    }

    .grid-publicacoes {
        grid-template-columns: repeat(2, 1fr);
        gap: 1rem;
        padding-block: 30px;
    }

    .grid-tutoriais {
        grid-template-columns: repeat(2, 1fr);
        gap: 1rem;
    }

    .category-highlight__grid {
        grid-template-columns: repeat(2, 1fr);
        gap: 1rem;
    }
}

/* SCREEN DESKTOP */
@media (min-width: 1024px) {
    html { font-size: 18px; }

    .padding-inline { padding-inline: var(--padding-side-3); }

    .section-title {
        font-size: 1.8rem;
    }

    .article-card {
        display: grid;
        grid-template-rows: auto 1fr auto;
        margin-bottom: 25px;
    }

    .article-titulo {
        font-size: 1rem;
    }

    .article-card__profile {
        margin-top: 1.2rem;
    }

    .hero-title {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
    .hero-title>h1 {
        padding-bottom: 30px;
    }
    .category-dropdown-wrapper { display: none; }

    .hero-search-form {
        margin-top: 15px;
        width: 440px;
    }

    .nav-sec {
        display: block;
    }

    .nav-sec-links {
        gap: 2rem;
    }
    .nav-sec-links__item {
        font-size: 0.885rem;
    }

    .destaques-card {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-areas: 
         "banner texto"
         "banner profile";
        
        padding-top: 16px;
        margin-left: 1.5rem;
    }

    .destaques-card__banner {
        grid-area: banner;
        margin-inline: 0rem 1.5rem;
    }

    .destaques-card__banner img {
        max-height: 17.5rem;
        object-fit: cover;
        border-radius: 8px;
    }

    .destaques-card__texto {
        grid-area: texto;
    }
    .destaques-article-titulo {
        font-size: 1.5rem;
        font-size: clamp(1.5rem, 1rem + 1.1vw, 1.75rem);
        line-height: 1.3;
    }

    .destaques-card__texto p {
        font-size: 1rem;
        line-height: 1.5;
        margin-top: 0.7rem;

        overflow: hidden;
        text-overflow: ellipsis; 
        display: -webkit-box;
        -webkit-line-clamp: 3; 
        line-clamp: 3;
        -webkit-box-orient: vertical;
    }
    .destaques-card__profile {
        grid-area: profile;
        padding-top: 0.75rem;
    }

    .grid-publicacoes {
        grid-template-columns: repeat(3, 1fr);
        gap: 1rem;
    }

    .grid-tutoriais {
        grid-template-columns: repeat(2, 1fr);
        gap: 1rem;
    }
    .banner-video {
        font-size: 20px;
    }

    .grid-tutoriais .article-date { 
        display: block;
        position: absolute;
        top: 1.5rem;
        right: 1rem;
        transform: scale(1);
    }

    .category-highlight {
        padding-block: 3rem;
    }

    .category-highlight__grid {
        grid-template-columns: repeat(3, 1fr);
        gap: 1rem;
    }

    .ver-todos-article {
        padding: 2.5rem 0 2rem 0;
    }

    .ver-todos-article a {
        font-size: 0.885rem;
    }
}

@media (min-width: 1200px) {
    .hero-search-form {
        width: 488px;
    }

    .nav-sec-links {
        gap: 2.5rem;
    }

    .destaques-card {
        grid-template-columns: auto auto;
    }

    .destaques-card__texto p {
        font-size: 1.1rem;
        line-height: 1.5;
        max-width: 630px;
        -webkit-line-clamp: 3;
        line-clamp: 3;
    }

    .banner-video {
        font-size: 24px;
    }
}